<?php
namespace Addons\ImageManager\Controller;
use Admin\Controller\AddonsController;
class ImageManagerController extends AddonsController{
	public function ImageManager(){
            $name          = I("name");
            $id            = I("id");
            $times         = I("times", 0, "intval");
            $where         = array();
            if (!empty($times)) {
                $where = $this->getTimeMap($times);
            }
            $strTimes      = $this->getPictureTimes();
            $PictureResult = $this->getAllPictureData($where);
            //var_dump($PictureResult);die;
            
            $this->assign("addon_path", "./Addons/ImageManager/");
            $this->assign("curtime",    $times);
            $this->assign("strTimes",   $strTimes);
            $this->assign("name",       $name);
            $this->assign("id",         $id);
            $this->assign("_list",      $PictureResult);
            
            $this->display(T('Addons://ImageManager@ImageManager/index'));
	}
        
        /**
         * 
         * @return type
         */
        private function getAllPictureData (array $where = array()) {
            $result = M("Picture")->where($where)->where("status=1")->select();
            return $result;
        }
        
        /**
         * 获取所有图片上传时间去重复
         * @param string $format    时间格式
         * @return array
         */
        private function getPictureTimes ($format = "Y年m月") {
            $times = M("Picture")->field("create_time")->select();
            $strTimes = array();
            foreach ($times as $time) {
               $strTimes[$time['create_time']] = date($format, $time['create_time']); 
            }
            return array_unique($strTimes);
        }
        
        private function getTimeMap ($time) {
            $start_time = strtotime(date("Y-m-1 00:00:00", $time));
            $end_time   = strtotime(date("Y-m-t 23:59:59", $time));
            $where['create_time'] = array("BETWEEN", array($start_time, $end_time));
            return $where;
        }
}
